Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

It would be awesome if one could specify the location where to store wiki files. Optional markdown and asciidoc support would be

also helpful.

There is a project named gollum https://github.com/github/gollum/wiki

It is a git-based wiki with asciidoc, textile and markdown support. It powers github's wiki.

So, integration of gollum as a plugin will solve these issues.

History

#1 - 2010-11-13 11:48 - John Yani

API documentation is pretty simple: https://github.com/github/gollum

#2 - 2011-03-12 03:24 - Kang-min Liu

Hi all,

I implemented a working plugin with a minimum feature https://github.com/gugod/redmine-gollum

It does have many limitations, and depends on the redmine trunk version because the use of Redmine::Configuration. If anyone like to participate,

please let me know on github, I'd like to grant repository access.

#3 - 2011-03-12 17:54 - Terence Mill

Does this offer a WYSIWYG Editor, cause that is what really is missing in redmine.

#4 - 2011-03-14 07:32 - Kang-min Liu

Terence: The original gollum wiki does not use an WYSIWYG editor.

#5 - 2011-04-30 07:15 - Ebrahim Mohammadi

Terence Hersbach: For a WYSIWYG check out redmine_ckeditor.

#6 - 2012-08-01 20:14 - John Yani

- Status changed from New to Resolved

Plugin supports Redmine 2.0

#7 - 2013-02-01 22:00 - Jan Niggemann (redmine.org team member)

- Status changed from Resolved to Closed

Powered by TCPDF (www.tcpdf.org)

2025-05-17 1/1

https://github.com/github/gollum/wiki
https://github.com/github/gollum
https://github.com/gugod/redmine-gollum
https://www.redmine.org/users/43760
http://github.com/ebrahim/redmine_ckeditor
http://www.tcpdf.org

